Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1061869 - reboot stalls with "rcu_sched detected stalls on CPUs/tasks"
Summary: reboot stalls with "rcu_sched detected stalls on CPUs/tasks"
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ben Skeggs
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-05 19:21 UTC by Henrique Martins
Modified: 2015-06-29 15:01 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 15:01:13 UTC


Attachments (Terms of Use)
shutdown log (deleted)
2014-02-05 19:21 UTC, Henrique Martins
no flags Details
dmesg output (deleted)
2014-04-05 19:36 UTC, Peter H. Jones
no flags Details

Description Henrique Martins 2014-02-05 19:21:45 UTC
Created attachment 859823 [details]
shutdown log

Description of problem:
System goes into apparently infinite loop trying to shutdown reboot, spitting out call traces and "rcu_sched detected stall lines".  I need to hit the power button to get it going.

This doesn't happen all the time.  I suspect, but I'm not sure, that happens when I have one NFS volume automounted.  It may also only happen when I suspend the machine with that volume automounted and resume on a different subnet where the volume is no longer reachable (i.e. suspend at home, resume at work, reboot)

Version-Release number of selected component (if applicable):
3.12.9-301.fc20.x86_64
nfs-utils-1.2.9-3.0.fc20

How reproducible:
Not always, see description

Steps to Reproduce:
1. Not sure, see description

Actual results:
Hang on reboot, looping on error messages

Expected results:
Normal reboot

Additional info:
I'll attach relevant part of journal from the point where shutdown started.

Comment 1 Henrique Martins 2014-02-05 19:25:43 UTC
Looking more carefully at the traces, it could actually be a noveau problem.  Will post release number here later (not near that machine now), but it should be the latest available from updates.

Comment 2 Henrique Martins 2014-02-05 19:37:33 UTC
xorg-x11-drv-nouveau-1.0.9-2.fc20.x86_64

Comment 3 Josh Boyer 2014-02-12 17:02:56 UTC
Yes, this seems more nouveau related.

Comment 4 Ben Skeggs 2014-02-16 23:12:02 UTC
Does adding "nouveau.runpm=0" help?

Comment 5 Henrique Martins 2014-02-17 15:34:21 UTC
I'll add that flag to the kernel and see what happens, however, I don't have a method to replicate this consistently, thus it may take a while until I have an answer...

Comment 6 Peter H. Jones 2014-04-05 19:36:31 UTC
Created attachment 883069 [details]
dmesg output

I got "rcu_sched detected stalls on CPUs/tasks" in the following way. (To get a copy of the preceding trace, I'd need to phototraph the screen with a camera.) My procedure was as follows:
1. Downloaded and booted http://kojipkgs.fedoraproject.org//work/tasks/157/6710157/Fedora-Live-Jam-KDE-x86_64-rawhide-20140405.iso .
2. Selected Troubleshooting, then moved cursor to Test Media and Boot.
3. (optional) Remove quiet and rhgb
4. Hit return to boot.

Result: I got a traceback message, then "rcu_sched detected stalls on CPUs/tasks" appears about 60 seconds later.

Adding "nouveau.runpm=0" as suggested in Comment 4 resulted in a normal startup!

Comment 7 Henrique Martins 2014-06-18 01:01:50 UTC
Haven't seen this bug since I've added nouveau.runpm=0" to the kernel flags, but by now I'm a few kernels ahead

Comment 8 Fedora End Of Life 2015-05-29 10:49:13 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 9 Fedora End Of Life 2015-06-29 15:01:13 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.